//EscapePod_FinalExplosion.cs

// EscapePod explodes and throws one huge debris chunk of itself
//  we use the default vehicle final explosion, but add EscapePod-shaped debris

// Debris
/////////
// Debris trail emitter
////////////////////////
datablock ParticleData(EscapePodDebrisTrailParticle)
{
	dragCoefficient      = 2.5;
	gravityCoefficient   = -0.7;
	inheritedVelFactor   = 0.5;
	constantAcceleration = 4.0;
	lifetimeMS           = 600;
	lifetimeVarianceMS   = 0;
	textureName          = "base/data/particles/thinring";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.125 0.249 0.255 1.7";
	colors[1]     = "0.0 0.255 0 0.08";
	sizes[0]      = 1.7;
	sizes[1]      = 0.1;

	useInvAlpha = false;
};
datablock ParticleEmitterData(EscapePodDebrisTrailEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 8;
   velocityVariance = 1.0;
   ejectionOffset   = 1.0;
   thetaMin         = 40;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "EscapePodDebrisTrailParticle";

//   uiName = "EscapePod Debris Trail";
   emitterNode = FifthEmitterNode;
};
datablock DebrisData(EscapePodDebris)
{
   emitters = "EscapePodDebrisTrailEmitter";

	shapeFile = "./EscapePod.dts";
	lifetime = 3.0;
	minSpinSpeed = -500.0;
	maxSpinSpeed = 500.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 1;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 2;
};

// Explosion
////////////
datablock ExplosionData(EscapePodFinalExplosion : vehicleFinalExplosion)
{
   debris = EscapePodDebris;
   debrisNum = 1;
   debrisNumVariance = 0;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 20;
   debrisVelocity = 18;
   debrisVelocityVariance = 3;
};


// Projectile - you can't spawn explosions on the server, so we use a short-lived projectile
/////////////////////////////////
datablock ProjectileData(EscapePodFinalExplosionProjectile : vehicleFinalExplosionProjectile)
{
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 0;
   explosion           = EscapePodFinalExplosion;

   directDamageType  = $DamageType::VehicleExplosion;
   radiusDamageType  = $DamageType::VehicleExplosion;

   explodeOnDeath		= 1;

   armingDelay         = 0;
   lifetime            = 5;

// uiName = "EscapePod Final Explosion";
};