datablock ParticleData(EscapePodEngineParticle)
{
	dragCoefficient      = 10;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 200;
	lifetimeVarianceMS   = 0;
	textureName          = "base/data/particles/thinring";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.125 0.249 0.255 1.7";
	colors[1]     = "0.0 0.255 0 0.08";
	sizes[0]      = 1.7;
	sizes[1]      = 0.1;

	useInvAlpha = false;
};
datablock ParticleEmitterData(EscapePodEngineEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 10.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "EscapePodEngineParticle";
   
   //uiName = "Escape Pod Engine Emitter";
};


datablock ShapeBaseImageData(SpaceEngineImage1)
{
   shapeFile = "./empty.dts";
	emap = false;

	mountPoint = 1;
   rotation = "1 0 0 180";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 10000;
	stateEmitter[1]					= EscapePodEngineEmitter;
	stateEmitterTime[1]				= 10000;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function SpaceEngineImage1::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}


function SpaceEngineCheck(%obj)
{
//	return;
	if(!isObject(%obj))
		return;

	%speed = vectorLen(%obj.getVelocity());
	if(%speed < %obj.dataBlock.minSpaceEngineSpeed)
	{
		if(%obj.getMountedImage(0) !$= "")
		{
			%obj.unMountImage(0);
			// %obj.unMountImage(3);
		}
	}
	else
	{
		if(%obj.getMountedImage(0) $= 0)
		{
		
			// %obj.mountImage(contrailImage2,3);
		}
	}
	
	if(%obj.getMountedObject(0))
	{
		if(%obj.getMountedImage(1) $= 0)
		{
			%obj.mountImage(SpaceEngineImage1,1);
		}
	}
	else
	{
		if(%obj.getMountedImage(1) !$= "")
		{
			%obj.unMountImage(1);
		}
	}

	schedule(2000,0,"SpaceEngineCheck",%obj);
}